<?php
/**
 * Created by PhpStorm.
 * User: mrs
 * Date: 28.12.2017
 * Time: 13:01
 */

require_once('AbstractCoordinates.php');
require_once('InterfacePerimeter.php');


abstract class Polygon extends Coordinates implements Perimeter
{

    public $points;
    public $lines;
    public $segmentLength;
    public $perimeter;

    abstract public function getLines(): array;

    abstract public function getSegmentLength(): float;

    abstract public function getPerimeter(): float;
}